/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.contrats;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.client.gui.SaisieEmployeurView;
import org.cocktail.mangue.common.modele.nomenclatures.EOTypeOrigineFinancement;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.mangue.individu.EOContratPeriodesEssai;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class SaisieContratView extends javax.swing.JDialog {

	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

	/**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
	public SaisieContratView(java.awt.Frame parent,  boolean modal, EODisplayGroup eod) {
		super(parent, modal);
		
		this.eod = eod;
		
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jLabel17 = new javax.swing.JLabel();
        tfTypeContrat = new javax.swing.JTextField();
        tfUai = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        tfDateFinAnticipee = new javax.swing.JTextField();
        tfDateDebut = new javax.swing.JTextField();
        viewTypeRecrutement = new javax.swing.JPanel();
        jLabel24 = new javax.swing.JLabel();
        btnDelTypeRecrutement = new javax.swing.JButton();
        btnGetTypeRecrutement = new javax.swing.JButton();
        tfTypeRecrutement = new javax.swing.JTextField();
        btnDelUai = new javax.swing.JButton();
        btnGetTypeContrat = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        jLabel18 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        taObservations = new javax.swing.JTextArea();
        jLabel19 = new javax.swing.JLabel();
        tfDateFin = new javax.swing.JTextField();
        btnGetUai = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        jLabel23 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        popupOrigineFinancement = new javax.swing.JComboBox();
        jLabel21 = new javax.swing.JLabel();
        tfReferenceReglementaire = new javax.swing.JTextField();
        lblMessage = new javax.swing.JLabel();
        checkFonctionnaire = new javax.swing.JCheckBox();
        panelPeriodesEssai = new javax.swing.JPanel();
        btnDelPetiodeEssai = new javax.swing.JButton();
        viewPeriodesEssai = new javax.swing.JPanel();
        btnAddPeriodeEssai = new javax.swing.JButton();
        jLabel26 = new javax.swing.JLabel();
        checkCIR = new javax.swing.JCheckBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Saisie / Modification des employeurs");

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Début");

        tfTypeContrat.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTypeContrat.setToolTipText("");

        tfUai.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfUai.setToolTipText("");

        jLabel20.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Type Contrat");

        tfDateFinAnticipee.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFinAnticipee.setToolTipText("Date de fin anticipée");

        tfDateDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateDebut.setToolTipText("");

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("Type Recrute.");

        tfTypeRecrutement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTypeRecrutement.setToolTipText("");

        org.jdesktop.layout.GroupLayout viewTypeRecrutementLayout = new org.jdesktop.layout.GroupLayout(viewTypeRecrutement);
        viewTypeRecrutement.setLayout(viewTypeRecrutementLayout);
        viewTypeRecrutementLayout.setHorizontalGroup(
            viewTypeRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewTypeRecrutementLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(tfTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 273, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnGetTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnDelTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(240, Short.MAX_VALUE))
        );
        viewTypeRecrutementLayout.setVerticalGroup(
            viewTypeRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewTypeRecrutementLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewTypeRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTypeRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnGetTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDelTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTypeRecrutementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel24)
                        .add(tfTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        btnGetTypeContrat.setToolTipText("");

        btnAnnuler.setText("Annuler");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Fin ");

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("UAI");

        taObservations.setColumns(20);
        taObservations.setRows(5);
        jScrollPane1.setViewportView(taObservations);

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Fin Anticipée ");

        tfDateFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFin.setToolTipText("");

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Observations");

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel25.setText("Origine Financement");

        popupOrigineFinancement.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Réf. règlementaire");

        tfReferenceReglementaire.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfReferenceReglementaire.setToolTipText("");

        lblMessage.setForeground(new java.awt.Color(204, 0, 0));
        lblMessage.setText("jLabel1");

        checkFonctionnaire.setText("Fonctionnaire");
        checkFonctionnaire.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        checkFonctionnaire.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);

        btnDelPetiodeEssai.setToolTipText("Sélection du motif du congé sans traitement");

        viewPeriodesEssai.setLayout(new java.awt.BorderLayout());

        btnAddPeriodeEssai.setToolTipText("Sélection du motif du congé sans traitement");

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("Périodes d'essai");

        org.jdesktop.layout.GroupLayout panelPeriodesEssaiLayout = new org.jdesktop.layout.GroupLayout(panelPeriodesEssai);
        panelPeriodesEssai.setLayout(panelPeriodesEssaiLayout);
        panelPeriodesEssaiLayout.setHorizontalGroup(
            panelPeriodesEssaiLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelPeriodesEssaiLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewPeriodesEssai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 302, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(panelPeriodesEssaiLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnDelPetiodeEssai, 0, 0, Short.MAX_VALUE)
                    .add(btnAddPeriodeEssai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(239, Short.MAX_VALUE))
        );
        panelPeriodesEssaiLayout.setVerticalGroup(
            panelPeriodesEssaiLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelPeriodesEssaiLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelPeriodesEssaiLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelPeriodesEssaiLayout.createSequentialGroup()
                        .add(btnAddPeriodeEssai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelPetiodeEssai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewPeriodesEssai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel26))
                .addContainerGap())
        );

        checkCIR.setText("CIR");
        checkCIR.setToolTipText("");
        checkCIR.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        checkCIR.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 122, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                        .add(jLabel20, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jLabel17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfDateFinAnticipee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(tfTypeContrat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)
                                            .add(tfReferenceReglementaire, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnGetTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(layout.createSequentialGroup()
                                                .add(0, 0, Short.MAX_VALUE)
                                                .add(checkFonctionnaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .add(18, 18, 18)
                                                .add(checkCIR))
                                            .add(tfUai, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 545, Short.MAX_VALUE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnGetUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDelUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(10, 10, 10)
                                        .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(popupOrigineFinancement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 346, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(0, 0, Short.MAX_VALUE))
                                    .add(viewTypeRecrutement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)))
                                .add(29, 29, 29))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(panelPeriodesEssai, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .add(29, 29, 29))
                                    .add(layout.createSequentialGroup()
                                        .add(10, 10, 10)
                                        .add(lblMessage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 709, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 519, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel18)
                    .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel19)
                    .add(tfDateFinAnticipee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel20))
                    .add(btnGetTypeContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel21)
                    .add(tfReferenceReglementaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel22))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnGetUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDelUai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupOrigineFinancement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkFonctionnaire)
                    .add(checkCIR))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel23)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 56, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewTypeRecrutement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelPeriodesEssai, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblMessage)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        setSize(new java.awt.Dimension(763, 508));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

	private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnValiderActionPerformed

	private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnAnnulerActionPerformed

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				SaisieEmployeurView dialog = new SaisieEmployeurView(new javax.swing.JFrame(), null, true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddPeriodeEssai;
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelPetiodeEssai;
    private javax.swing.JButton btnDelTypeRecrutement;
    private javax.swing.JButton btnDelUai;
    private javax.swing.JButton btnGetTypeContrat;
    private javax.swing.JButton btnGetTypeRecrutement;
    private javax.swing.JButton btnGetUai;
    protected javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkCIR;
    private javax.swing.JCheckBox checkFonctionnaire;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lblMessage;
    private javax.swing.JPanel panelPeriodesEssai;
    private javax.swing.JComboBox popupOrigineFinancement;
    private javax.swing.JTextArea taObservations;
    protected javax.swing.JTextField tfDateDebut;
    protected javax.swing.JTextField tfDateFin;
    protected javax.swing.JTextField tfDateFinAnticipee;
    protected javax.swing.JTextField tfReferenceReglementaire;
    protected javax.swing.JTextField tfTypeContrat;
    protected javax.swing.JTextField tfTypeRecrutement;
    protected javax.swing.JTextField tfUai;
    private javax.swing.JPanel viewPeriodesEssai;
    private javax.swing.JPanel viewTypeRecrutement;
    // End of variables declaration//GEN-END:variables


    public void setOriginesFinancement(NSArray<EOTypeOrigineFinancement> liste) {
    	
    	popupOrigineFinancement.removeAllItems();
    	popupOrigineFinancement.addItem("");
    	for (EOTypeOrigineFinancement myObject : liste) {
    		popupOrigineFinancement.addItem(myObject);
    	}
    	
    }
    
	private void initGui() {

		setTitle("Saisie / Modification d'un CONTRAT");

		btnGetTypeContrat.setIcon(CocktailIcones.ICON_SELECT_16);
		btnGetTypeRecrutement.setIcon(CocktailIcones.ICON_SELECT_16);
		btnGetUai.setIcon(CocktailIcones.ICON_SELECT_16);

		btnDelTypeRecrutement.setIcon(CocktailIcones.ICON_DELETE);
		btnDelUai.setIcon(CocktailIcones.ICON_DELETE);

		btnAddPeriodeEssai.setIcon(CocktailIcones.ICON_ADD);
		btnDelPetiodeEssai.setIcon(CocktailIcones.ICON_DELETE);

		btnValider.setIcon(CocktailIcones.ICON_VALID);
		btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOContratPeriodesEssai.DATE_DEBUT_KEY, "Début", 100);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);    		
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOContratPeriodesEssai.DATE_FIN_KEY, "Fin", 100);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);    		
		col.setColumnClass(Date.class);
    	myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

//		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewPeriodesEssai.setLayout(new BorderLayout());
		viewPeriodesEssai.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewPeriodesEssai.removeAll();
		viewPeriodesEssai.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelTypeRecrutement() {
		return btnDelTypeRecrutement;
	}

	public void setBtnDelTypeRecrutement(javax.swing.JButton btnDelTypeRecrutement) {
		this.btnDelTypeRecrutement = btnDelTypeRecrutement;
	}

	public javax.swing.JButton getBtnDelUai() {
		return btnDelUai;
	}

	public void setBtnDelUai(javax.swing.JButton btnDelUai) {
		this.btnDelUai = btnDelUai;
	}

	public javax.swing.JButton getBtnGetTypeContrat() {
		return btnGetTypeContrat;
	}

	public void setBtnGetTypeContrat(javax.swing.JButton btnGetTypeContrat) {
		this.btnGetTypeContrat = btnGetTypeContrat;
	}

	public javax.swing.JButton getBtnGetTypeRecrutement() {
		return btnGetTypeRecrutement;
	}

	public void setBtnGetTypeRecrutement(javax.swing.JButton btnGetTypeRecrutement) {
		this.btnGetTypeRecrutement = btnGetTypeRecrutement;
	}

	public javax.swing.JButton getBtnGetUai() {
		return btnGetUai;
	}

	public void setBtnGetUai(javax.swing.JButton btnGetUai) {
		this.btnGetUai = btnGetUai;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}
	

	
	public javax.swing.JTextArea getTaObservations() {
		return taObservations;
	}

	public void setTaObservations(javax.swing.JTextArea taObservations) {
		this.taObservations = taObservations;
	}

	public javax.swing.JTextField getTfDateDebut() {
		return tfDateDebut;
	}

	public void setTfDateDebut(javax.swing.JTextField tfDateDebut) {
		this.tfDateDebut = tfDateDebut;
	}

	public javax.swing.JTextField getTfDateFin() {
		return tfDateFin;
	}

	public void setTfDateFin(javax.swing.JTextField tfDateFin) {
		this.tfDateFin = tfDateFin;
	}

	public javax.swing.JTextField getTfDateFinAnticipee() {
		return tfDateFinAnticipee;
	}

	public void setTfDateFinAnticipee(javax.swing.JTextField tfDateFinAnticipee) {
		this.tfDateFinAnticipee = tfDateFinAnticipee;
	}

	public javax.swing.JTextField getTfTypeContrat() {
		return tfTypeContrat;
	}

	public void setTfTypeContrat(javax.swing.JTextField tfTypeContrat) {
		this.tfTypeContrat = tfTypeContrat;
	}

	public javax.swing.JTextField getTfTypeRecrutement() {
		return tfTypeRecrutement;
	}

	public void setTfTypeRecrutement(javax.swing.JTextField tfTypeRecrutement) {
		this.tfTypeRecrutement = tfTypeRecrutement;
	}

	public javax.swing.JTextField getTfUai() {
		return tfUai;
	}

	public void setTfUai(javax.swing.JTextField tfUai) {
		this.tfUai = tfUai;
	}

	public javax.swing.JPanel getViewTypeRecrutement() {
		return viewTypeRecrutement;
	}

	public void setViewTypeRecrutement(javax.swing.JPanel viewTypeRecrutement) {
		this.viewTypeRecrutement = viewTypeRecrutement;
	}

	public javax.swing.JComboBox getPopupOrigineFinancement() {
		return popupOrigineFinancement;
	}

	public void setPopupOrigineFinancement(
			javax.swing.JComboBox popupOrigineFinancement) {
		this.popupOrigineFinancement = popupOrigineFinancement;
	}

	public javax.swing.JTextField getTfReferenceReglementaire() {
		return tfReferenceReglementaire;
	}

	public void setTfReferenceReglementaire(
			javax.swing.JTextField tfReferenceReglementaire) {
		this.tfReferenceReglementaire = tfReferenceReglementaire;
	}

	public javax.swing.JLabel getLblMessage() {
		return lblMessage;
	}

	public void setLblMessage(javax.swing.JLabel lblMessage) {
		this.lblMessage = lblMessage;
	}
	public javax.swing.JCheckBox getCheckFonctionnaire() {
		return checkFonctionnaire;
	}

	public void setCheckFonctionnaire(javax.swing.JCheckBox checkFonctionnaire) {
		this.checkFonctionnaire = checkFonctionnaire;
	}

	public javax.swing.JButton getBtnAddPeriodeEssai() {
		return btnAddPeriodeEssai;
	}

	public void setBtnAddPeriodeEssai(javax.swing.JButton btnAddPeriodeEssai) {
		this.btnAddPeriodeEssai = btnAddPeriodeEssai;
	}

	public javax.swing.JButton getBtnDelPetiodeEssai() {
		return btnDelPetiodeEssai;
	}

	public void setBtnDelPetiodeEssai(javax.swing.JButton btnDelPetiodeEssai) {
		this.btnDelPetiodeEssai = btnDelPetiodeEssai;
	}

	public javax.swing.JPanel getPanelPeriodesEssai() {
		return panelPeriodesEssai;
	}

	public void setPanelPeriodesEssai(javax.swing.JPanel panelPeriodesEssai) {
		this.panelPeriodesEssai = panelPeriodesEssai;
	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public javax.swing.JCheckBox getCheckCIR() {
		return checkCIR;
	}

	public void setCheckCIR(javax.swing.JCheckBox checkCIR) {
		this.checkCIR = checkCIR;
	}
	
}
